Subject: Re: [Cbe-oss-dev] [PATCH] powerpc/cell: disable ptcal in case of kdump reboot

From: Michael Neuling <[email-masked]>
Date: Thu, 12 Jun 2008 21:22:21 +1000

In message <1213261480.8652.5.camel@localhost> you wrote:
> 
> On Thu, 2008-06-12 at 18:06 +1000, Michael Neuling wrote:
> > In message <[email-masked]> you wrote:
> > > On Wednesday 11 June 2008, Michael Ellerman wrote:
> > > > On Wed, 2008-06-11 at 18:28 +0200, Arnd Bergmann wrote:
> > > > > We used to do this correctly in case of a user triggered
> > > > > kexec, but not for kdump.
> > > >=20
> > > > Used to?
> > >=20
> > > Sorry, wrong wording. I meant without this patch, it's correct
> > > for kexec.
> > > =20
> > > > > This patch disables ptcal from the cell specific
> > > > > machine_crash_shutdown() callback.=20
> > > >=20
> > > > I'd rather you used the crash_shutdown_register() infrastructure Mike=
> y
> > > > added for EHEA - it's designed for just this sort of thing.
> > >=20
> > > Thanks for pointing this out, I wasn't aware of that call.
> > > New patch coming up.
> >=20
> > In theory we can register lots of call backs but currently the maximum
> > is set to 1 through CRASH_HANDLER_MAX.  This is to discourage people
> > from using this infrastructure at all.
> 
> Yeah true. In this case I think it's the less horrible solution to
> something that's fundamentally kdump-unfriendly.
> 
> > Unless there's some crazy arse company that's going to mix a CBE with an
> > eHEA, we are probably ok leaving this at 1.  Right?
> 
> No comment *cough*. I guess I'd say just increase it to 2 on the off
> chance, can't hurt much.

Ok.. but this one really really is the last one!! :-)

Mikey